---
layout: assignment
published: draft

title: Post GUI Implementation
description: Learn about post-GUI accessibility
code: hw4b

assigned: Jan 31, 2023
due: 
   - Feb 7, 2023, 5pm Pacific
   - Two day grace period, Feb 9, 2023
  
revised: April 12, 2023

---

* TOC
{:toc}

# Overview
The goal of this homework is to build something that is accessible and uses post-gui technologies. Specifically, you should create a *more accessible version* of something that both disabled people and people with out accessibility needs might both want to use. For example, you might create
- A screen-reader accessible COVID visualization
- A simple educational game that cane be used with switch input
- A CAPTCHA interface that can be used with an on screen keyboard for someone who uses switch input
- A simple VR environment that is supports magnification and verbal description for low vision and screen reader users
- A physical attachment for a spray bottle that makes it easier to squeeze

It is *fine* to re-use something you've already made for a class or for fun and just make it more accessible. 
If you make something from scratch, keep it simple and focus on learning how to build it in an accessible fashion.

## Learning Goals / Competencies
This homework may contribute to your competency grade on 
- TBD

## Length and Difficulty
This is a new assignment, so we are still figuring this out! Please bear with us and  reach out if you have trobule!

# Details
To complete this assignment, please do the following

## 1. Select a specific app or object that you will make more accessible
You should build something that makes use of the technology you studied for your report in part 1. The details on what you should do are provided in a separate homework specific to your post GUI technology. Links are below.

{% details Possible technologies (this list is still unders construction) %}
- Educational Games for young children 
- Online spaces for kids with disabilities (any age) 
- Tools for learning programming 
- Visualization: Create an accessible visualization 
- Fabrication: Make an object more accessible using [laser cutting or 3D printeing](lasercutting.html) 
- Physical Computing: Build a [button](button.html) that makes it easier to control a real world object
- Security/Privacy: Make a password or CAPTCH interface more accessible
- VR/AR: Create a better physical game controller or make a game or environment more accessible 
- Other: Speak with the instructors
{% enddetails %}

## 2. Select a target audience (which assistive technology) 
Be clear about which accessibility aid (such a screen reader, magnifier or single switch input)	*or* which perceptual concern (such as color blindness) your modifications are addressing.

## 3. Record the following information for us

- What technology did you pick
- What did the application look like before you made it accessible
- What did it look like after you made it accessible
- What audience did you improve it for?
- Record a video of yourself using it with the accessibility technology you designed your solution for. 
- Make sure that video is captioned and audio described (see [description key's guide](https://dcmp.org/learn/descriptionkey)
- Check with us about what to do if these requirements don't quite fit (i.e. for fabrication).

TODO: add accessibility requirements  for the turn in

# Turnin

You will turn your accessible write up and recorded video on Canvas

