---
layout: default
(old)warning: old
title: Accessibility in this Class and Beyond
description: Accessibility resources and expectations
---

* TOC
{:toc}


# Setting up Accommodations (for Students)
If you have a temporary health condition or permanent disability
   (either mental health, learning, or physical health related) that
   impacts your academic experience, please let us know how we can
   accommodate you. You are NOT obligated to disclose any of these
   issues with the instructor, only specify if there’s any
   accommodations required.
   
If there is something we can do to make your experience better, please
    let us know. We have attempted to make all the course materials
    accessible according to web standards but there are always things
    we may not have thought of.
  
If you need any additional support, we are always happy to work with
  you directly or through [Disability Resources for Students
  (DRS)](http://depts.washington.edu/uwdrs/) to make sure that the
  class meets your needs. If you need any adaptations for course
  materials (large font, pacing, image description, closed
  captioning), just let the instructor know.

If you have not yet established services through [Disability Resources
    for Students (DRS)](http://depts.washington.edu/uwdrs/), but have
    a temporary health condition or permanent disability that requires
    accommodations (conditions include but not limited to; mental
    health, attention-related, learning, vision, hearing, physical or
    health impacts), contact DRS directly at uwdrs@uw.edu to set up an
    Access Plan. DRS facilitates the interactive process that
    establishes reasonable accommodations. DRS offers a wide range of
    services for students with disabilities, mental health concerns,
    and chronic illness, that are individually designed and remove the
    need to reveal sensitive medical information to the course staff,
    but it is important to start the process as soon as possible to
    avoid delays.

# Mutual Commitment to Access in the Classroom
We start every quarter by asking students and instructors to participate in a shared effort to ensure that the classroom is accessible to all of us. We commit to working together to try to meet these requests without judgement or required documentation (Documentation, and DRS approval is only required when an accommodation is available to some students but not others).

This quarter's list of accommodations can be found on our poll everywhere summary in our [first class's accommodation discussion](slides/accessibility-activities.html#5). Some examples of things that participants have asked for in the past include
- flex time on assignments
- universal masking in the classroom
- hybrid participation options (for sick family members; because of cold, flu or covid symptoms; managing a disability; or other important obligations)
- live auto-generated captions
- permission to stand up and stretch during lecture
- slack access for easy discussion
- ...

# Making your Assignments Accessible (for Your Instructors)

Please ensure that assignments you hand in are accessible to the best
of your capabilities. We will offer guidance on this in class, but
given that the process of making content accessible heavily depends on
the tools you use to author the content, it is practically impossible
for us to offer exhaustive guidance. Here are a few resources to get
started, but please reach out to us when in doubt.

  - [Accessible PDF author guide](http://www.sigaccess.org/welcome-to-sigaccess/resources/accessible-pdf-author-guide/)
  - [General guidelines to make your presentations accessible](http://www.sigaccess.org/welcome-to-sigaccess/resources/accessible-presentation-guide/).
  - [A paper on making your talk accessible](https://homes.cs.washington.edu/~ladner/MakingYourTalkAccessible.pdf).
  - Instructions to enable closed captions while presenting using [Google Slides](https://support.google.com/docs/answer/9109474?hl=en) and [Microsoft Powerpoint](https://support.microsoft.com/en-us/office/present-with-real-time-automatic-captions-or-subtitles-in-powerpoint-68d20e49-aec3-456a-939d-34a79e8ddd5f)



# Accessibility Resources that might be useful

Some accessibility technologies that students have told us are helpful in the past include the following. Note that these products can cost money, and we are not necessarily endorsing them. In addition, sometimes it's more useful to know a *type* of product exists and search for the most recent example of said product -- in other words, some of these resources may be out dated :).

- Text to speech software [Natural Reader](https://www.naturalreaders.com/)
- Speech to text software: Freely available on macs; you can also purchase something such as [Dragon Dictate](https://dragon-supports.com/index.php)
- Screen readers: We will show you some free options and teach about them in class. In addition, if you have a Windows machine, both [Jaws](https://www.freedomscientific.com/products/software/jaws/) and [NVDA](https://www.nvaccess.org/download/) (free) are available; on linux [Odilia](https://odilia.app/) is the newest option.
- You'll hear about and see many other things in this class, please let us know if you find something you think we should add to this list! 

