---
layout: default
(old)warning: old
---

* TOC
{:toc}

# Using GitGrade

GitGrade is the website we use to manage and grade programming assignments.

Why is it relevant to you?

- You will use GitGrade to accept the assignment which will create your own
GitLab repository with our starter code for each assignment.
- After you have committed your changes to your source code you will use GitGrade to turn-in
your assignment submission.

# Gitgrade Classroom summary

You can see a summary of all class assignments that have been released on a page that looks like
the following (there is a different classroom for each course offering). Here you see the
current offering only has one assignment that has been released.

![GitGrade Classroom summary with one assignment that has been released, 50%](1-gg-class-summary.png)

# Accepting your assignment

Clicking on the **accept** link in the classroom summary page or on a link provided in an
assignment specification will take you to the accept assignment page.

![Gitgrade accept assignment page, assignment not accepted yet, 50%](2-gg-accept-assignment.png)

Once you click on the big blue button GitGrade will create an assignment for you. This shouldn't
take too long, if it takes more than a few minutes, please reach out to the course staff on
our discussion board.

![Gitgrade accept assignment page in the process of accepting an assignment, 50%](3-gg-assignment-creating.png)

The page will refresh to look like the following once the assignment has been accepted

![Gitgrade accept assignment page, with an accepted assignment, 50%](4-gg-assignment-accepted.png)

Pressing the big blue button now will take you to the gitlab repository that was created for you.
At this point you will clone the repository and start your assignment.

![gitlab repository once the assignment has been accepted, 50%](5-gg-repo.png)

# Turning in your assignment

You should remember to commit and push to your repository frequently during development. As a
reminder these commands are

```
git add <files>
git commit -m "<a good commit message here>"
git push origin master
```

Once you have completed the work on your code you will return to GitGrade to turn in your assignment.
You can reach the turn in page either through the GitGrade Summary page or through the
direct link provided in the assignment specification.

![GitGrade turn in page, assignment not turned in yet, 50%](6-gg-turnin-page.png)

**READ** and check that you have read the **Academic Integrity** statement. The blue Turn in button
will not be enabled until this is checked.

![GitGrade academic integrity statement checked, 50%](7-gg-academic-integrity.png)

Once you press the turn in button, the code that you committed to your gitlab repo will
be sent to the Gitgrade servers. Two things you need to check

1. That all of the files you expect (with the changes you made to your assignments) have been recieved!
2. That your project compiles!

**Note:** Reach out to the course staff on the discussion board if you know your project compiles
locally and it is not showing as compiled on the server. Sometimes this can happen if our
turnin page is not configured correctly.


![GitGrade academic integrity statement checked, 50%](8-gg-successful-turnin.png)
