---
title: Syllabus/FAQ
layout: default
---

* TOC
{:toc}

# Why take this class?

{% details What it is about? %}
<iframe width="560" height="315" src="https://www.youtube.com/embed/1aFiJDHtRiY" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

Highly recommend this course to be [mandatory in CS]... I will keep the lessons learned and try to apply them in my career wherever applicable. -- 2023 student.
{: .quote}

Even though I have a lot of experience with implementing accessibility in code and pushing for more accessible designs at work, I have learned a lot from this course [that I plan to take back into my workplace] -- 2023 student 
{: .quote}

How can computing enable new solutions to accessibility, including both access to the world and access to computers? Similarly, how can a disability studies perspective guide us in developing empowering and relevant solutions to accessibility problems? This course explores both of those questions through a combination of discussions, reading, and building. In addition, by studying access technology, we can gain valuable insights into the future of all user interface technology.

Access technology (AT) has the potential to increase autonomy, and improve millions of people’s ability to live independently. In addition, accessibility is a human rights issue and it is the law. If you're creating interactive technologies, you should know how to build regular interfaces that are accessible as well as understanding the value of innovating new approaches to accessibility. Disability touches almost everyone either directly or indirectly at some point in life, temporarily or permanently. Let’s create a future we will also want to and be able to be part of.


In this course we will focus on a combination of practical skills such as how to assess accessibility of documents, websites and apps and how to do disability based UX; advanced skills such as how to address accessibility in visualization, AR/VR and AI/ML; and forward looking topics such as intersectional concerns, accessible healthcare, and accessibility in disaster response. The largest project in the class will be an open ended opportunity to explore access technology in more depth. We will also cover disability justice and advocacy. 


{% enddetails %}

{% details What are the Prerequisites and Expectations? %}

The only requirement for this class is that you are comfortable programming and picking up new languages and tools that you have not been exposed to before. You will have some control over this, however, basic web skills are likely to be useful. The primary programming project in this class is one you design yourself. 

In addition, please familiarize yourself with the course [academic conduct]({{site.baseurl}}/academic-conduct.html) policy. We will grade on the assumption that you have read and understood it, and there will be penalties if you do not follow these policies. These will be determined on a case by case basis, but at a minimum:
- If you plagiarize you will receive a 0 on participation for that assignment
- If you plagiarize on any assignment, you will receive a non-competent on your disability justice competency

{% enddetails %}


{% details  What is the Teaching Philosophy and Approach? %}

Many of the goals in this class center around learning by doing. This
means that hands on time trying out everything from implementation to
evaluation is critical to learning. Active learning has been [shown to
increase student performance in STEM
subjects](https://www.pnas.org/content/111/23/8410).

Thus, class time will be used as much as possible for in **class
exercises and discussion** for understanding using a variety of
technologies. We also highly encourage questions in lecture. Often
many students share the same question and those questions can help the
instructor gauge student understanding.

Preparation outside of class and participation in class are both very
important and will improve your class experience. Preparation may
include online discussion, pre-class readings and videos, and
post-lecture reflections in addition to homework. Participation in
class will include discussion, question asking, and active engagement
in learning exercises.

{% enddetails %}


#  Logistics

{% details  When and Where is the Class Held? %}

See [Canvas]({{site.canvas}}) for all zoom meeting links for classes and office hours.

- **Class Time:** Monday/Wednesday/Friday 3:30-4:20PM (PDT)
- **Class Location:** 	[ECE 037](https://www.washington.edu/classroom/ECE+037)
- **Section Time:** 
    - 2:30-3:20 [GUG 218](https://www.washington.edu/classroom/GUG+218)
	- 3:30-4:20 Room TBD

{% enddetails %}

{% details How do I reach the Instructors? %}
<BR>

|-------------------------------------------------------------------------|------------------------------------------------------------|-----------------|
| ![Jen Mankoff](assets/img/staff/mankoff.jpg){:width="80px"}             | [Jennifer Mankoff]({{site.author.url}}) (she/her)          | Instructor      |
| ![Venkatesh Potluri](assets/img/staff/potluri.JPG){:class="ta-picture"} | [Venkatesh Potluri](https://venkateshpotluri.me/) (he/him) | TA (XX Section) |
| ![Jesse Martinez](assets/img/staff/martinez.jpg){:class="ta-picture"}   | [Jesse Martinez](https://homes.cs.washington.edu/~jessejm/)  | TA (XX Section) |

<BR>
**Office Hours**

|----------------|------------|----------------|-------------------------------------------------|
| Day            | Time       | Who            | Where                                           |
| Tuesdays       | 3-4pm      | Jen Mankoff    | [Canvas]({{site.canvas}})                       |
| Wednesdays     | 11:30-12pm | Jen Mankoff    | 211 Gates                                       |
| Fridays        | 2-3pm      | Jesse Martinez | TBD                                             |
|                |            |                |                                                 |
| Asynchronous   |            | Any            | Post to [discussion board]({{site.discussion}})* |
| By Appointment |            | Any            | Post to  [discussion board]({{site.discussion}}) |


*You can discuss matters with us privately on the [discussion
board]({{site.discussion}}). This notifies the whole course staff at
once and is usually faster than email.

Staff mailing list: [Mail](mailto:{{site.staff_email}})

{% enddetails %}

	
{% details How do I reach other students in the class? %}

We have a class [discussion board]({{site.discussion}}), where you can
make public posts that benefit the whole class, and are answered more
quickly because your fellow students can help the course staff by
responding also.

- This is the best way to ask questions about things like homework and programming
- Before posting, please search through the questions that have already been posted in case
      someone has already asked the same question.

Another great way to meet students is to come to class in person!

{% enddetails %}


# Is this class Accessible and Inclusive?

We hope so! The class is a shared learning environment and it is
important to us to make it a welcoming environment for everyone, from
all backgrounds. We strive to treat everyone in the class with respect and
understanding.

{% details How does this class support Accessibility? %}

We know that students in this class may need materials to be
accessible by screen reader, or may need extra time on exams. We have structured the class to be as accessible as possible to all students by default.

If you have a temporary health condition or permanent disability
(either mental health, learning, or physical health related) that
impacts your academic experience, please let us know how we can
accommodate you.

You are NOT obligated to disclose any of these issues with the
instructor, only specify if there’s any accommodations required. For
more on accessibility in this class and how we accommodate you (and
each other), please see our [Accessibility
Policy](docs/accessibility.html)
   
{% enddetails %}


{% details What about health and wellness beyond accessibility accommodations? %}

It is very important to us that you take care of your mental health throughout the course. We have built flexibility into course assessments with the goal of reducing stress. However we know that sometimes that is not enough. Everyone on the course staff is available to chat, and you can always attend office hours for a non-academic conversation if necessary. Beyond the course staff, the University of Washington provides the following resources for mental health concerns. Your anonymity and privacy are protected.
  - Please reach out to the [UW Counseling Center](http://www.washington.edu/counseling/) for any help and
    concerns related to mental health (including increased stress), available to all UW students at no cost.
  - If you are ever feeling uncomfortable and need to talk or are worried about someone close to you, it is
    highly recommended to visit the [UW Heath and Wellness](http://depts.washington.edu/livewell/programs/)
    programs. They offer resources to students that can help.
  - If you're concerned for yourself or a friend, please call SafeCampus at (206) 685-7233.

{% enddetails %}

{% details How do you accommodate religious holidays? %}

You may observe religious holidays that overlap class times. We ask
that you complete the class attendance requirements for remote
students in this case. If you have additional concerns that this
policy does not meet, please contact the instructors. In addition,
here is some potentially helpful information about UW policy:
[Religious Accommodations
Policy](https://registrar.washington.edu/staffandfaculty/religious-accommodations-policy/).
Accommodation can be requested within the first two weeks of this
course using the [Religious Accommodations
Request](https://registrar.washington.edu/students/religious-accommodations-request/)
form on UW's site.
  
{% enddetails %}

{% details What should I do if something happens that makes me feel unsafe or excluded? %}

If you have been subject to sexual harassment, you feel you have been discriminated against, our you have  been made to feel uncomfortable in any way, please tell us. You might choose to speak with your instructor, teaching assistant, the chair of the department, depending on the circumstances. 

Should you feel uncomfortable bringing up an issue with a staff member
directly, , there are a number of [Community Feedback Mechanisms and
Resources](https://www.cs.washington.edu/community-feedback) including
the [Anonymous Feedback](https://feedback.cs.washington.edu/) form,
but understand we can not respond to you directly if you use the
latter. Responses, if possible, will be broadcast to the class as a
whole or systematic changes to the class when necessary.

You can also file a complaint with the UW Ombudsman's Office for Sexual Harassment. Their office is located at 339 HUB, (206)543-6028. There is a second office, the University Complaint Investigation and Resolution Office, who also investigate complaints. The UCIRO is located at 22 Gerberding Hall.
  
If something about the course materials makes you feel excluded, please let us know. We also review them ourselves with inclusion in mind each time we prepare to teach. 

We have tried to make the course inclusive of people who  have work,
childcare or appointments that have to be prioritized at specific
times. However if we can do something to improve this further, or you have needs we haven't thought of, please tell us.

{% enddetails %}

#  Expectations and Grading

{% details What are the participation requirements for this class? %}

This is an in person class. As much as possible, we ask that you
attend in person. That said, we know that many individual concerns may
make this a barrier. We will do our best to support remote
participation when there is a need for this due to a family
obligation, disability, or other concern.

If you participate remotely, or miss a class, you may be asked  to
engage in additional work before, after, or during lecture to ensure
that you have the most similar experience possible to students who are
in person. 

{% enddetails %}

{% details Will lectures be recorded? %}

Class sessions **will be recorded** when possible (guest lecturers may
refuse this). Recordings will only be accessible to students enrolled
in the course to review materials.

The University and Zoom have FERPA-compliant agreements in place to
protect the security and privacy of UW Zoom accounts. 

{% enddetails %}

{% details What if I don't want to be recorded? %}

Students who connect by Zoom but do not wish to be recorded should:
- Change their Zoom screen name to a school appropriate screen name
that hides any personal identifying information such as their name or
UW Net ID
- Not share their computer audio or video during their Zoom sessions  (please notify us first!).

{% enddetails %}

{% details What is the classes Grading Philosophy? %}

While grading is a necessary part of what we do at UW, I want to focus
this class on learning; and to ensure that my approach to assessment
is inclusive and focuses on a justice based approach. There has been a
lot of [innovation in
assessment](https://online.suny.edu/innovativeassessments/) in recent
years, driven partly by COVID-19. We have tried to learn from this in our grading.

**There will not be quizzes, or a midterm or final exam**. Instead, your knowledge will be assessed 
[Competency based
grading](https://aurora-institute.org/cw_post/cbe-in-practice-grading/)  in alignment with the disability justice focus in this
course. 

{% enddetails %}


{% details What is "*Competency Based Grading*"? %}
 [Competency based
grading](https://aurora-institute.org/cw_post/cbe-in-practice-grading/) separates out *how* you learn a skill from *whether you
know it.* Many of these competencies are assessed repeatedly. *I don't
care if you get them wrong at first*, as long as you eventually learn
them. If you learn them all, and participate fully in the class, you
will get an A.


In the image below, you can see how traditional grading assigns a score
for each assignment and adds them together. If you score badly on your 
first assignment, that negatively affects your grade, *even if* you demonstrate that you've
learned everything you needed to know in it during later assignments. In contrast
competency-based grading is structured around learning goals. All of the different
things you do that demonstrate progress on those learning goals are grouped together
to help assign a score on that learning goal. 

![Explanation of competency-based grading. In a competency system teaching learning and grading are centered around learning outcomes. This changes how we plan assess and grade. It shifts us toward learning and away from completion/compliance. From the NYC Department of Education Competency Collaborative]({{site.baseurl}}/assets/img/competence-explanation.png)

{% enddetails %}

{% details Nice philosophy and all... what does that mean for me? %}

The competencies needed for this course are listed on the [assignments
page](assignments/index.html), and can all be found in canvas as well.
There are three categories of Competency, each with four skills you
need to learn: (1) Accessible Media and Documents (2) Accessibility
Compliance and (3) Disability Awareness and Justice.

Your highest score on each skill *in any assignment* determines your
grade on that skill. In addition, you may request regrades. When you
are graded on a skill, we rate your skill as "no evidence" "below
competent" "basic knowledge" or "excellent". Various combinations of
"basic" "excellent" and "below competent" result in other grades.

The table below shows how scores will be converted to a grade. Note
that if even 1 skill in a competency category is below competence
(**!Comp**), the highest possible grade is 75% in that competency
category. Assuming that you are at least competent in all skills, your
grade is based on how many skills are excellent versus competent. You
have to be excellent in all 4 skills to get to 100; at least 3 to get
to 95%; and at least 2 to get to 85%. Your final score on your
competencies is an average of your competence in each category.

![Learning Mastery](assets/img/learningmastery.png){:class="page-picture"}


| Outcome Category | Score     |    | 100% | 95% | 85% | 75% | 60% | 30% | 0%  |
|------------------|-----------|----|------|-----|-----|-----|-----|-----|-----|
| Media/Docs       | !Comp     | <= | 0    | 0   | 1   | 2   | 3   | 4   | 5   |
| (All = 5)        | Excellent | >= | 4/5  | 3/5 | 2/5 | 1/5 | 0/5 | 0/5 | 0/5 |
| Compliance       | !Comp     | <= | 0    | 0   | 1   | 2   | 3   | 4   | 5   |
| (All = 5)        | Excellent | >= | 4/5  | 3/5 | 2/5 | 1/5 | 0/5 | 0/5 | 0/5 |
| Justice          | !Comp     | <= | 0    | 0   | 1   | 2   | 3   | 4   | 5   |
| (All = 5)        | Excellent | >= | 4/5  | 3/5 | 2/5 | 1/5 | 0/5 | 0/5 | 0/5 |

You can
view your progress on each competency in Canvas (Excellent is called
"Mastery" there). **Open up the category to see individual
competencies; and click on the competency to see details on whether
you are "competent" or "excellent"**.

{% enddetails %}

{% details What else will I be graded on? %}

Grades will be assigned in three categories: Assignment completion, effort, and competencies. 

### 80%: Competencies 
Competencies are 80% of your grade in the class. See the previous
question for details on how a grade is calculated from your
competencies.

### 10%: Assignment Completion
Assignment completion is 10% of your grade. This is listed as the "participation" competency for each assignment in canvas. The weight of each assignment is simply the number of weeks long it is, so a longer assignment would contribute more to your assignment completion grade than a shorter one.

### 10%: Effort

Your effort grade will reflect your participation in the class across
multiple dimensions such as whether you participated in discussions
and exercises in class (self reported) and whether you participated in
discussions outside of class (based on your submissions). 

{% enddetails %}

{% details Does the class have a regrading policy? %}


Reflecting on feedback is one of the most valuable ways you can learn
from your mistakes, and we encourage you to do so.
It is also possible for the graders to make mistakes. If that happens
we certainly would like to correct the error. 

However, please note the
following:
- Because this class is competency based, you don't necessarily need a regrade, you just need to show that you have learned this competency in this OR a future assignment. Most competencies show up in more than one place
- When you request a regrade, we may look at the entire assessment, homework or reflection. Therefore,
it is possible for to lose a competency as well as gain one in this process.

If you have a
question about a grade you received or if you feel the grade you
received is incorrect, please **[email an
instructor](mailto:{{site.staff_email}}) for an appointment to discuss
the assignment and your grade in detail**.

{% enddetails %}




